package cn.iocoder.yudao.module.system.controller.admin.log.vo;

import lombok.*;
import java.util.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 车辆行走路线耗时记录分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class RobotTaskLineTimeConsumingPageReqVO extends PageParam {

    @Schema(description = "任务号")
    private String taskNo;

    @Schema(description = "robot_task_detail的id", example = "13949")
    private Long taskDetailId;

    @Schema(description = "行走路程(米)")
    private String totalDistance;

    @Schema(description = "0:直线, 1:曲线", example = "2")
    private Integer lineType;

    @Schema(description = "开始点")
    private String fromSortNum;

    @Schema(description = "结束点")
    private String toSortNum;

    @Schema(description = "行走总耗时(秒)")
    private String totalTimeConsuming;

    @Schema(description = "平均速度(米/秒)")
    private String averageSpeed;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

    @Schema(description = "AGV编号")
    private String robotNo;
}