package cn.iocoder.yudao.module.system.controller.admin.log.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 车辆行走路线耗时记录 Response VO")
@Data
@ExcelIgnoreUnannotated
public class RobotTaskLineTimeConsumingRespVO {

    @Schema(description = "主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "8419")
    @ExcelProperty("主键ID")
    private Long id;

    @Schema(description = "任务号")
    @ExcelProperty("任务号")
    private String taskNo;

    @Schema(description = "robot_task_detail的id", example = "13949")
    @ExcelProperty("robot_task_detail的id")
    private Long taskDetailId;

    @Schema(description = "行走路程(米)")
    @ExcelProperty("行走路程(米)")
    private String totalDistance;

    @Schema(description = "0:直线, 1:曲线", example = "2")
    @ExcelProperty("0:直线, 1:曲线")
    private Integer lineType;

    @Schema(description = "开始点")
    @ExcelProperty("开始点")
    private String fromSortNum;

    @Schema(description = "结束点")
    @ExcelProperty("结束点")
    private String toSortNum;

    @Schema(description = "行走总耗时(秒)")
    @ExcelProperty("行走总耗时(秒)")
    private String totalTimeConsuming;

    @Schema(description = "平均速度(米/秒)")
    @ExcelProperty("平均速度(米/秒)")
    private String averageSpeed;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

    @Schema(description = "AGV编号")
    @ExcelProperty("AGV编号")
    private String robotNo;

}