package cn.iocoder.yudao.module.system.controller.admin.log.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;

@Schema(description = "管理后台 - 车辆行走路线耗时记录新增/修改 Request VO")
@Data
public class RobotTaskLineTimeConsumingSaveReqVO {

    @Schema(description = "主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "8419")
    private Long id;

    @Schema(description = "任务号")
    private String taskNo;

    @Schema(description = "robot_task_detail的id", example = "13949")
    private Long taskDetailId;

    @Schema(description = "行走路程(米)")
    private String totalDistance;

    @Schema(description = "0:直线, 1:曲线", example = "2")
    private Integer lineType;

    @Schema(description = "开始点")
    private String fromSortNum;

    @Schema(description = "结束点")
    private String toSortNum;

    @Schema(description = "行走总耗时(秒)")
    private String totalTimeConsuming;

    @Schema(description = "平均速度(米/秒)")
    private String averageSpeed;

    @Schema(description = "AGV编号")
    private String robotNo;
}