package cn.iocoder.yudao.module.system.controller.admin.log.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.*;
import java.util.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 车辆任务行程耗时分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class RobotTaskTimeConsumingPageReqVO extends PageParam {

    @Schema(description = "任务号")
    private String taskNo;

    @Schema(description = "robot_task_detail的id", example = "3069")
    private Long taskDetailId;

    @Schema(description = "取货层数")
    private Integer fromLocationStorey;

    @Schema(description = "放货层数")
    private Integer toLocationStorey;

    @Schema(description = "计算后的来源库位编号")
    private String fromLocationNo;

    @Schema(description = "计算后的目标库位编号")
    private String toLocationNo;

    @Schema(description = "行走的总路程(米)")
    private String totalDistance;

    @Schema(description = "总耗时(秒)")
    private String totalTimeConsuming;

    @Schema(description = "取货检测点到放货检测点的总路程(米)")
    private String checkDistance;

    @Schema(description = "取货检测点到放货检测点的总总耗时(秒)")
    private String checkTimeConsuming;

    @Schema(description = "取货耗时(秒)")
    private String pickTimeConsuming;

    @Schema(description = "放货耗时(秒)")
    private String dropTimeConsuming;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

    @Schema(description = "AGV编号")
    private String robotNo;

}