package cn.iocoder.yudao.module.system.controller.admin.log.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 车辆任务行程耗时 Response VO")
@Data
@ExcelIgnoreUnannotated
public class RobotTaskTimeConsumingRespVO {

    @Schema(description = "主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "14459")
    @ExcelProperty("主键ID")
    private Long id;

    @Schema(description = "任务号")
    @ExcelProperty("任务号")
    private String taskNo;

    @Schema(description = "robot_task_detail的id", example = "3069")
    @ExcelProperty("robot_task_detail的id")
    private Long taskDetailId;

    @Schema(description = "取货层数")
    @ExcelProperty("取货层数")
    private Integer fromLocationStorey;

    @Schema(description = "放货层数")
    @ExcelProperty("放货层数")
    private Integer toLocationStorey;

    @Schema(description = "计算后的来源库位编号")
    @ExcelProperty("计算后的来源库位编号")
    private String fromLocationNo;

    @Schema(description = "计算后的目标库位编号")
    @ExcelProperty("计算后的目标库位编号")
    private String toLocationNo;

    @Schema(description = "行走的总路程(米)")
    @ExcelProperty("行走的总路程(米)")
    private String totalDistance;

    @Schema(description = "总耗时(秒)")
    @ExcelProperty("总耗时(秒)")
    private String totalTimeConsuming;

    @Schema(description = "取货检测点到放货检测点的总路程(米)")
    @ExcelProperty("取货检测点到放货检测点的总路程(米)")
    private String checkDistance;

    @Schema(description = "取货检测点到放货检测点的总总耗时(秒)")
    @ExcelProperty("取货检测点到放货检测点的总总耗时(秒)")
    private String checkTimeConsuming;

    @Schema(description = "取货耗时(秒)")
    @ExcelProperty("取货耗时(秒)")
    private String pickTimeConsuming;

    @Schema(description = "放货耗时(秒)")
    @ExcelProperty("放货耗时(秒)")
    private String dropTimeConsuming;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

    @Schema(description = "AGV编号")
    @ExcelProperty("AGV编号")
    private String robotNo;
}