package cn.iocoder.yudao.module.system.dal.dataobject.log;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 车辆行走路线耗时记录 DO
 *
 * @author 陈宾顺
 */
@TableName("robot_task_line_time_consuming")
@KeySequence("robot_task_line_time_consuming_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class RobotTaskLineTimeConsumingDO extends BaseDO {

    /**
     * 主键ID
     */
    @TableId
    private Long id;
    /**
     * 任务号
     */
    private String taskNo;
    /**
     * robot_task_detail的id
     */
    private Long taskDetailId;
    /**
     * 行走路程(米)
     */
    private String totalDistance;
    /**
     * 0:直线, 1:曲线
     */
    private Integer lineType;
    /**
     * 开始点
     */
    private String fromSortNum;
    /**
     * 结束点
     */
    private String toSortNum;
    /**
     * 行走总耗时(秒)
     */
    private String totalTimeConsuming;
    /**
     * 平均速度(米/秒)
     */
    private String averageSpeed;
    /**
     * AGV编号
     */
    private String robotNo;
}