package cn.iocoder.yudao.module.system.dal.dataobject.log;

import lombok.*;
import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 车辆任务行程耗时 DO
 *
 * @author 陈宾顺
 */
@TableName("robot_task_time_consuming")
@KeySequence("robot_task_time_consuming_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class RobotTaskTimeConsumingDO extends BaseDO {

    /**
     * 主键ID
     */
    @TableId
    private Long id;
    /**
     * 任务号
     */
    private String taskNo;
    /**
     * robot_task_detail的id
     */
    private Long taskDetailId;
    /**
     * 取货层数
     */
    private Integer fromLocationStorey;
    /**
     * 放货层数
     */
    private Integer toLocationStorey;
    /**
     * 计算后的来源库位编号
     */
    private String fromLocationNo;
    /**
     * 计算后的目标库位编号
     */
    private String toLocationNo;
    /**
     * 行走的总路程(米)
     */
    private String totalDistance;
    /**
     * 总耗时(秒)
     */
    private String totalTimeConsuming;
    /**
     * 取货检测点到放货检测点的总路程(米)
     */
    private String checkDistance;
    /**
     * 取货检测点到放货检测点的总总耗时(秒)
     */
    private String checkTimeConsuming;
    /**
     * 取货耗时(秒)
     */
    private String pickTimeConsuming;
    /**
     * 放货耗时(秒)
     */
    private String dropTimeConsuming;
    /**
     * AGV编号
     */
    private String robotNo;

}