package cn.iocoder.yudao.module.system.service.log;

import java.util.*;
import javax.validation.*;

import cn.iocoder.yudao.module.system.controller.admin.log.vo.RobotTaskLineTimeConsumingPageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.log.vo.RobotTaskLineTimeConsumingSaveReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.log.RobotTaskLineTimeConsumingDO;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.common.pojo.PageParam;

/**
 * 车辆行走路线耗时记录 Service 接口
 *
 * @author 陈宾顺
 */
public interface RobotTaskLineTimeConsumingService extends IService<RobotTaskLineTimeConsumingDO> {

    /**
     * 创建车辆行走路线耗时记录
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createTaskLineTimeConsuming(@Valid RobotTaskLineTimeConsumingSaveReqVO createReqVO);

    /**
     * 更新车辆行走路线耗时记录
     *
     * @param updateReqVO 更新信息
     */
    void updateTaskLineTimeConsuming(@Valid RobotTaskLineTimeConsumingSaveReqVO updateReqVO);

    /**
     * 删除车辆行走路线耗时记录
     *
     * @param id 编号
     */
    void deleteTaskLineTimeConsuming(Long id);

    /**
     * 获得车辆行走路线耗时记录
     *
     * @param id 编号
     * @return 车辆行走路线耗时记录
     */
    RobotTaskLineTimeConsumingDO getTaskLineTimeConsuming(Long id);

    /**
     * 获得车辆行走路线耗时记录分页
     *
     * @param pageReqVO 分页查询
     * @return 车辆行走路线耗时记录分页
     */
    PageResult<RobotTaskLineTimeConsumingDO> getTaskLineTimeConsumingPage(RobotTaskLineTimeConsumingPageReqVO pageReqVO);

    void addTaskLineTimeConsuming(String message);
}
