package cn.iocoder.yudao.module.system.service.log;

import java.util.*;
import javax.validation.*;

import cn.iocoder.yudao.module.system.controller.admin.log.dto.RobotWalkingDistanceDTO;
import cn.iocoder.yudao.module.system.controller.admin.log.vo.RobotTaskTimeConsumingPageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.log.vo.RobotTaskTimeConsumingSaveReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.log.RobotTaskTimeConsumingDO;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.common.pojo.PageParam;

/**
 * 车辆任务行程耗时 Service 接口
 *
 * @author 陈宾顺
 */
public interface RobotTaskTimeConsumingService extends IService<RobotTaskTimeConsumingDO> {

    /**
     * 创建车辆任务行程耗时
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createRobotTaskTimeConsuming(@Valid RobotTaskTimeConsumingSaveReqVO createReqVO);

    /**
     * 更新车辆任务行程耗时
     *
     * @param updateReqVO 更新信息
     */
    void updateRobotTaskTimeConsuming(@Valid RobotTaskTimeConsumingSaveReqVO updateReqVO);

    /**
     * 删除车辆任务行程耗时
     *
     * @param id 编号
     */
    void deleteRobotTaskTimeConsuming(Long id);

    /**
     * 获得车辆任务行程耗时
     *
     * @param id 编号
     * @return 车辆任务行程耗时
     */
    RobotTaskTimeConsumingDO getRobotTaskTimeConsuming(Long id);

    /**
     * 获得车辆任务行程耗时分页
     *
     * @param pageReqVO 分页查询
     * @return 车辆任务行程耗时分页
     */
    PageResult<RobotTaskTimeConsumingDO> getRobotTaskTimeConsumingPage(RobotTaskTimeConsumingPageReqVO pageReqVO);

    void updateTime(RobotWalkingDistanceDTO data);

    void updateConsuming(RobotTaskTimeConsumingDO data);
}
